﻿@media (max-width: 1499px) {
    .sidebar-form .contactForm .form-input.experience-form-input {
        flex-direction: column;
        align-items: flex-start;
    }

        .sidebar-form .contactForm .form-input.experience-form-input .experience-option:not(:first-child) {
            margin-top: 8px;
        }

    #accomodationTypeSlider .accomodation-type-intro {
        margin: 0 80px;
    }

    #accomodationTypeSlider button,
    #gallerySlider button {
        width: 60px;
        height: 60px;
    }

        #accomodationTypeSlider button img,
        #gallerySlider button img {
            width: 28px;
            height: 28px;
        }
}

@media (max-width: 1399px) {
    .header-desktop a {
        margin-right: 20px !important;
    }

    .footer-cards-wrapper {
        justify-content: center;
    }
}

@media (max-width: 1199px) {
    .header-desktop {
        display: none !important;
    }

    .header-mobile {
        display: flex !important;
    }

    .menuFullScreen {
        top: 0;
        height: 100vh;
        flex-direction: column;
    }

    .menuFullScreen__mobile__open {
        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        z-index: -1;
        transform-origin: bottom;
    }

    menuFullScreen__bg {
        display: block;
    }

    .menuFullScreen__topMobile {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        flex-shrink: 0;
        padding: 30px 24px;
        border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    }

        .menuFullScreen__topMobile .menu-text {
            color: var(--white);
        }

    .menuFullScreen__left {
        height: 100%;
        overflow-y: scroll;
        padding: 0 30px;
        margin: 60px 0;
    }

    .menuFullScreen .menu-open {
        color: var(--white);
    }

    .menuFullScreen-links {
        width: 100%;
    }

    .menuFullScreen-links__item > a {
        text-transform: uppercase;
    }

        .menuFullScreen-links__item > a:hover {
            color: var(--white);
        }

    .language-toggle {
        font-size: 15px;
    }

    .language-dropdown a {
        font-size: 14px;
    }

    .hero.-type-6 .hero__filter {
        position: relative;
        bottom: unset;
        left: unset;
        right: unset;
        transform: none;
        display: flex;
        justify-content: center;
        padding: 0 30px;
        margin-top: 30px;
    }

    #searchBar .searchForm.-type-1 {
        align-items: normal;
        flex-direction: column;
        height: auto;
        width: 100%;
        padding: 0;
    }

        #searchBar .searchForm.-type-1 .searchForm__form {
            grid-template-columns: 1fr;
            padding: 0;
        }

        #searchBar .searchForm.-type-1 .searchFormItem {
            padding: 24px 30px;
        }

        #searchBar .searchForm.-type-1 .searchFormItem__button {
            justify-content: space-between;
        }

        #searchBar .searchForm.-type-1 .searchFormItemDropdown {
            top: 100%;
            left: 50% !important;
            transform: translateX(-50%);
            padding-top: 0;
        }

        #searchBar .searchForm.-type-1.-verticalBorder .searchForm__form > * + * {
            border-left: 0;
            border-top: 1px solid rgba(255, 255, 255, 0.2);
        }

        #searchBar .searchForm.-type-1 .searchForm__button button {
            height: auto;
            width: 100%;
            border-radius: 0 0 12px 12px;
        }

    #accomodationSearchBar #searchBar .search-bar-full-width .accomodation-search-bar {
        flex-direction: column;
        max-width: 100%;
        padding: 0;
    }

        #accomodationSearchBar #searchBar .search-bar-full-width .accomodation-search-bar .searchForm__button button {
            border-radius: 0 !important;
        }

    footer .footer-grid {
        display: block;
    }

    footer h4 {
        margin-top: 30px;
        margin-bottom: 20px !important;
    }

    footer .footer-grid-item div {
        margin-top: 10px !important;
    }

        footer .footer-grid-item div.footer-grid-logo {
            margin-top: 30px !important;
        }

    footer .footer-cards {
        padding-top: 0;
    }
}

@media (max-width: 991px) {
    .ulList.-type-1 li::before {
        display: none;
    }

    #contact .contactForm {
        margin: 0 auto;
    }

    .hero__content img {
        margin: 0 auto;
        width: 75%;
    }

    #homepageHero {
        padding: 40px 0 20px !important;
    }

    .searchForm.-type-1 .searchFormItemDropdown.calendar-form {
        right: 0;
    }

    #accomodationTypeSlider .swiper-wrapper {
        height: 350px !important;
    }

    #accomodationTypeSlider .accomodation-type-wrapper {
        flex-direction: column;
        align-items: center;
    }

    #accomodationTypeSlider .accomodation-type-swiper {
        width: 85%;
        overflow: visible;
    }

    #accomodationTypeSlider .accomodation-type-intro {
        width: 100%;
        margin: 0;
        margin-bottom: 20px;
        padding: 0 15px;
        text-align: center;
    }

    #accomodationTypeSlider .buttons-side {
        margin-top: 30px;
        margin-left: auto !important;
        margin-bottom: 30px;
        display: flex;
        column-gap: 10px;
    }

        #accomodationTypeSlider .buttons-side button {
            margin: 0 !important;
        }

    #accomodationTypeSlider .baseCard__image {
        height: 350px;
    }

    #featuredExperiences .featured-experience:nth-child(2) {
        padding-top: 15px;
    }

    #featuredServices .featured-services-wrapper {
        justify-content: space-around !important;
    }

    #gallerySlider .swiper-slide {
        width: 100%;
    }

        #gallerySlider .swiper-slide img {
            width: 100%;
        }

    .footer-text {
        width: 100% !important;
    }

    .scroll-wrapper {
        height: calc(100% - 26px - 64px - 26px);
    }

    #email-inquiry-modal .email-inquiry-wrapper {
        padding-top: 48px;
        padding-bottom: 48px;
    }
}

@media (max-width: 767px) {
    .mobile {
        display: block !important;
    }

    section {
        padding: 80px 0;
    }

    .searchForm.-type-1 .searchFormItemDropdown.calendar-form {
        right: -15%;
    }

    #banner .hero__content p,
    #banner .hero__content span {
        font-size: 17px;
        line-height: 25px;
    }

    #banner .hero__content a {
        font-size: 15px;
        padding: 18px 36px;
    }

    #featuredExperiences .featured-experience img {
        height: 300px;
    }

    #gallerySlider .swiper-slide {
        margin-top: 50px;
    }

    .navAbsolute.-type-3 {
        top: calc(50% + 30px);
    }

    footer .footer-grid {
        display: block;
    }

        footer .footer-grid .footer-grid-item {
            margin-bottom: 40px;
        }

    footer p, footer span, footer a {
        font-size: 15px;
    }

    .scroll-wrapper {
        padding: 0px 24px 26px;
    }

    .title-wrapper {
        padding: 26px 24px 26px;
    }

    #email-inquiry-modal form .form-group:nth-child(odd),
    #email-inquiry-modal form .form-group:nth-child(even) {
        width: 100%;
        margin: 0;
    }

    #email-inquiry-modal .email-inquiry-wrapper .email-inquiry-modal-inner .close-modal {
        top: 30px;
        right: 25px;
    }

    #email-inquiry-modal .email-inquiry-wrapper .email-inquiry-modal-inner {
        height: 75vh;
    }

    .footer-cards-wrapper .box:not(:first-child) {
        border: none;
    }
}

@media (max-width: 576px) {
    .button {
        font-size: 14px !important;
        height: auto !important;
        width: 100% !important;
        padding: 15px 40px !important;
        line-height: 22px !important;
    }

    .contact-form-sent {
        font-size: 14px;
        width: 100%;
    }

    p, span, ul li {
        font-size: 16px !important;
        line-height: 26px !important;
    }

    .searchForm.-type-1 .searchFormItemDropdown.calendar-form {
        left: 50% !important;
        transform: translateX(-50%) !important;
    }

    #searchBar .searchForm.-type-1 .searchFormItemDropdown.mobile-calendar-dropdown,
    .searchForm.-type-1 .searchFormItemDropdown.is-active.mobile-calendar-dropdown {
        position: fixed;
        top: 0px !important;
        margin-top: 0;
        border: none;
        border-radius: initial;
        width: 100vw;
        height: 100%;
        z-index: 10000;
    }

    #searchBar .searchForm.-type-1 .searchFormItemDropdown.-calendar.mobile-calendar-dropdown .searchFormItemDropdown__container,
    .searchForm.-type-1 .searchFormItemDropdown.-calendar.mobile-calendar-dropdown .searchFormItemDropdown__container {
        position: fixed;
        top: 0px !important;
        margin-top: 0;
        border: none;
        border-radius: initial;
        width: 100%;
        height: 100%;
        overflow-y: scroll;
        overflow-x: hidden;
        padding-bottom: 103px;
        z-index: 10000;
    }

    .elCalendar__slider {
        overflow: visible;
    }

        .elCalendar__slider .swiper-wrapper {
            display: block;
            height: 100% !important;
            transform: none !important;
        }

            .elCalendar__slider .swiper-wrapper .swiper-slide {
                width: 100% !important;
                margin-right: 0 !important;
                margin-top: 30px;
            }

                .elCalendar__slider .swiper-wrapper .swiper-slide:first-child {
                    margin-top: 0;
                }

    .elCalendar__sliderNav.-prev,
    .elCalendar__sliderNav.-next {
        display: none;
    }

    .searchForm.-type-1 .searchFormItemDropdown.-counter .searchFormItemDropdown__container {
        width: 330px;
        padding: 25px;
    }

    #searchBar .searchForm.-type-1 .searchFormItemDropdown.-counter .searchFormItemDropdown__item .js-search-title,
    .sidebar-form .searchForm.-type-1 .searchFormItemDropdown.-counter .searchFormItemDropdown__item .js-search-title,
    .searchForm.-type-1 .searchFormItemDropdown.-counter .searchFormItemDropdownTime__container .searchFormItemDropdown__list .searchFormItemDropdown__timeOption,
    .searchForm.-type-1 .searchFormItemDropdown.-counter .searchFormItemDropdownLanguage__container .searchFormItemDropdown__list .searchFormItemDropdown__languageOption {
        font-size: 13px;
    }

    #searchBar .searchForm.-type-1 .searchFormItemDropdown.-counter .searchFormItemDropdown__item .js-number,
    .sidebar-form .searchForm.-type-1 .searchFormItemDropdown.-counter .searchFormItemDropdown__item .js-number {
        font-size: 13px;
        padding: 0 13px;
    }

    .searchForm.-type-1 .searchFormItemDropdown.-counter .searchFormItemDropdown__item .js-remove,
    .searchForm.-type-1 .searchFormItemDropdown.-counter .searchFormItemDropdown__item .js-add {
        width: 16px;
    }

    .searchForm.-type-1 .searchFormItemDropdown.-counter .searchFormItemDropdown__item + *,
    .searchForm.-type-1 .searchFormItemDropdown.-counter .searchFormItemDropdownTime__container .searchFormItemDropdown__list .searchFormItemDropdown__timeOption:not(:first-child),
    .searchForm.-type-1 .searchFormItemDropdown.-counter .searchFormItemDropdownLanguage__container .searchFormItemDropdown__list .searchFormItemDropdown__languageOption:not(:first-child) {
        padding-top: 10px;
        margin-top: 10px;
    }

    .language-dropdown {
        width: 80px;
    }

        .language-dropdown a {
            padding: 8px;
        }

    #accomodationSearchBar {
        padding-top: 80px;
    }

    #searchBar .search-bar-option {
        font-size: 15px !important;
    }

    .confirm-dates {
        display: block !important;
        position: fixed;
        left: 0;
        bottom: 0;
        z-index: 99;
        width: 100% !important;
        padding: 14px;
        text-align: right;
        border-radius: 0;
        background: var(--crem);
    }

        .confirm-dates button {
            font-size: 14px;
            padding: 12px;
            margin-top: 8px;
            background: #BFBF91;
        }

    .sidebar-form .contactForm input:not([type="checkbox"]),
    .sidebar-form .contactForm input:not([type="radio"]),
    .sidebar-form .contactForm textarea,
    .sidebar-form .searchForm.-type-1 .searchFormItem__button > *:nth-child(1),
    .sidebar-form .searchForm.-type-1 .searchFormItem__button > *:nth-child(1) span {
        font-size: 15px;
    }

    .sidebar-form .contactForm .form-input label {
        font-size: 15px;
    }

    .sidebar-form .contactForm input:not([type="checkbox"]),
    .sidebar-form .contactForm input:not([type="radio"]),
    .sidebar-form .contactForm textarea {
        background-size: 15px;
    }

    .sidebar-form input[type="checkbox"],
    .sidebar-form input[type="radio"] {
        width: 18px;
        height: 18px !important;
    }

        .sidebar-form input[type="checkbox"]:checked::before,
        .sidebar-form input[type="radio"]:checked::before {
            width: 18px;
            height: 18px;
            border: 5px solid #473D33;
        }

    .searchForm.-type-1 .searchFormItem__button img {
        width: 32px;
    }

    #accomodationTypeSlider button,
    #gallerySlider button {
        width: 42px;
        height: 42px;
    }

        #accomodationTypeSlider button img,
        #gallerySlider button img {
            width: 22px;
            height: 22px;
        }

    #gallerySlider .swiper-slide img {
        height: 300px;
    }

    #featuredServices .featured-services-wrapper {
        display: block;
    }

        #featuredServices .featured-services-wrapper div {
            width: auto;
        }

    #host .button {
        padding: 15px 80px !important;
    }

    .objects-details-accomodation {
        flex-direction: column;
        row-gap: 8px;
        font-size: 15px;
    }

    .accomodation-extra-services {
        font-size: 15px;
    }

    .host-house-rules {
        margin-bottom: 50px;
    }

    .property-surrounding-table div {
        font-size: 15px;
    }

    .card {
        font-size: 15px;
    }

        .card img {
            width: 28px;
        }

    #contact .contactForm div {
        padding-top: 5px;
        padding-bottom: 5px;
    }

    .sidebar-form .book-wrapper button {
        width: max-content !important;
        padding: 15px 25px !important;
    }

    .sidebar-form .book-wrapper .total-price {
        font-size: 26px;
    }

    #contact .contactForm select,
    #contact .contactForm input:not([type="range"]),
    #contact .contactForm textarea,
    #contact .contactForm select::placeholder,
    #contact .contactForm input:not([type="range"])::placeholder,
    #contact .contactForm textarea::placeholder {
        font-size: 15px;
        background-size: 15px;
    }

    section {
        padding: 40px 0;
    }

    h4 {
        line-break: anywhere;
    }

    .extra-actions {
        justify-content: center;
    }

    .minitabs {
        grid-template-columns: repeat(1, 1fr);
    }

    #newsletterForm input {
        width: 100%;
        font-size: 15px;
    }

    #newsletterForm button {
        padding: 15px 0px !important;
    }

    #shortlist {
        position: inherit;
    }

        #shortlist .accomodation-shortlist {
            top: 74px;
            left: unset;
            right: 0;
        }

        #shortlist .shortlist-counter {
            top: 35px;
        }
}

@media (max-width: 420px) {
    .book-form-price-section .total-sum, .book-form-price-section .down-payment {
        flex-direction: column;
        align-items: end;
    }

        .book-form-price-section .total-sum > span, .book-form-price-section .down-payment > span:last-child {
            margin-top: 20px;
        }
}

@media (max-width: 375px) {
    #shortlist {
        margin-right: 10px !important;
    }

        #shortlist .accomodation-shortlist {
            width: 100%;
        }
}

@media (min-width: 576px) {
    #accomodationTypeSlider .accomodation-type-intro {
        max-width: 540px;
    }
}

@media (min-width: 768px) {
    #accomodationTypeSlider .accomodation-type-intro {
        max-width: 768px;
    }
}
